// XXS ------------------------------------------------------------------------
@mixin xxs-max {
  @media (max-width: #{$bp-xxs-max}) {
    @content;
  }
}

// XS -------------------------------------------------------------------------
@mixin xs-min {
  @media (min-width: #{$bp-xs-min}) {
    @content;
  }
}

@mixin xs-max {
  @media (max-width: #{$bp-xs-max}) {
    @content;
  }
}

// Small ----------------------------------------------------------------------
@mixin sm-min {
  @media (min-width: #{$bp-sm-min}) {
    @content;
  }
}

@mixin sm-only {
  @media (min-width: #{$bp-sm-min}) and (max-width: #{$bp-sm-max}) {
    @content;
  }
}

@mixin sm-max {
  @media (max-width: #{$bp-sm-max}) {
    @content;
  }
}

// Medium ---------------------------------------------------------------------
@mixin md-min {
  @media (min-width: #{$bp-md-min}) {
    @content;
  }
}

@mixin md-only {
  @media (min-width: #{$bp-md-min}) and (max-width: #{$bp-md-max}) {
    @content;
  }
}

@mixin md-max {
  @media (max-width: #{$bp-md-max}) {
    @content;
  }
}

// Large ----------------------------------------------------------------------
@mixin lg-min {
  @media (min-width: #{$bp-lg-min}) {
    @content;
  }
}

@mixin lg-only {
  @media (min-width: #{$bp-lg-min}) and (max-width: #{$bp-lg-max}) {
    @content;
  }
}

@mixin lg-max {
  @media (max-width: #{$bp-lg-max}) {
    @content;
  }
}

// X Large --------------------------------------------------------------------
@mixin xlg-min {
  @media (min-width: #{$bp-xlg-min}) {
    @content;
  }
}

@mixin xlg-only {
  @media (min-width: #{$bp-xlg-min}) and (max-width: #{$bp-xlg-max}) {
    @content;
  }
}

@mixin xlg-max {
  @media (max-width: #{$bp-xlg-max}) {
    @content;
  }
}

// XX Large -------------------------------------------------------------------
@mixin xxlg-min {
  @media (min-width: #{$bp-xxlg-min}) {
    @content;
  }
}

// Mobile Menu ----------------------------------------------------------------
@mixin mobilemenu-max {
  @media (max-width: #{$bp-mobile-menu-max}) {
    @content;
  }
}

@mixin desktopmenu-min {
  @media (min-width: #{$bp-mobile-menu-max + 1}) {
    @content;
  }
}
